dofile("Scripts/levelManager.lua");

LManager = LevelManager.create();

LManager:AddGame(eGAME_METER);
LManager:AddGame(eGAME_SPIN);
LManager:AddGame(eGAME_RECALL);
LManager:AddGame(eGAME_SHELL);
LManager:AddGame(eGAME_COMBO);
LManager:AddGame(eGAME_TAG);

--square block formation
--LManager:AddTable(eTYPE_TABLE1, 160, 260);
LManager:AddTable(eTYPE_TABLE2, 360, 260);
LManager:AddTable(eTYPE_TABLE3, 560, 260);
LManager:AddTable(eTYPE_TABLE4, 160, 375);
LManager:AddTable(eTYPE_TABLE5, 360, 375);
LManager:AddTable(eTYPE_TABLE6, 560, 375);
LManager:AddTable(eTYPE_TABLE7, 160, 490);
LManager:AddTable(eTYPE_TABLE8, 360, 490);
--LManager:AddTable(eTYPE_TABLE9, 560, 490);

seated = LManager.GenSeated(eTYPE_SEATED4);
seated.tableIdx = 1;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED5);
seated.tableIdx = 2;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED7);
seated.tableIdx = 3;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED8);
seated.tableIdx = 4;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED13);
seated.tableIdx = 5;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED1);
seated.tableIdx = 6;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED6);
seated.tableIdx = 7;
LManager:AddSeated(seated);

guest = LManager.GenGuest(eTYPE_GUEST3);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 21000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 63000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 123000;
guest.needs[4] = eWANT_GIFT;
guest.times[4] = 171000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST5);
guest.needs[1] = eWANT_DRINK;
guest.times[1] = 15000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 130000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 140000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 165000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST7);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 9000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 33000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 107000;
guest.needs[4] = eWANT_DRINK;
guest.times[4] = 159000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 183000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST8);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 9000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 40000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 69000;
guest.needs[4] = eWANT_DRINK;
guest.times[4] = 190000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 200000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST12);
guest.needs[1] = eWANT_DRINK;
guest.times[1] = 45000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 76000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 100000;
guest.needs[4] = eWANT_GIFT;
guest.times[4] = 153000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST6);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 52000;
guest.needs[2] = eWANT_GIFT;
guest.times[2] = 83000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 99000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 136000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 196000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST4);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 3000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 93000;
guest.needs[3] = eWANT_GIFT;
guest.times[3] = 140000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 195000;
LManager:AddGuest(guest);

LManager:AdjustGuestHappiness(150);
LManager:SetSnackTime(20000);

LManager:SetLevelNumber(4,2);
LManager:SetLevelScores(6575, 6850);
LManager:SetLevelTime(30000);

gameObject = LManager:GenerateGameObject();

levelSetting = LManager:GenerateLevelSettings();